#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0xc178d6c9, ".usb_set_interface" },
	{ 0x66323af2, ".usb_autopm_put_interface" },
	{ 0xc530ddf, ".usb_autopm_get_interface" },
	{ 0xde48e9ca, "._raw_spin_lock" },
	{ 0x599510f8, ".kfree_skb" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0x9e5b3de2, ".skb_queue_tail" },
	{ 0xda63c5ab, ".skb_put" },
	{ 0x11312684, ".__alloc_skb" },
	{ 0x4b845466, ".usb_match_id" },
	{ 0xb1e15674, ".hci_register_dev" },
	{ 0x7ca5add1, ".usb_driver_claim_interface" },
	{ 0x846797cd, ".usb_ifnum_to_if" },
	{ 0xbf54c63e, ".hci_alloc_dev" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0x37a0cba, ".kfree" },
	{ 0x8651ecce, ".hci_free_dev" },
	{ 0x1f9b40f0, ".usb_driver_release_interface" },
	{ 0xf6be1fcf, ".hci_unregister_dev" },
	{ 0x3a828223, ".dev_set_drvdata" },
	{ 0x88bfa7e, ".cancel_work_sync" },
	{ 0x2285200f, ".usb_kill_anchored_urbs" },
	{ 0x5a025f7b, ".arch_local_irq_restore" },
	{ 0x2afbe2a5, ".usb_scuttle_anchored_urbs" },
	{ 0xbafbe8a5, ".usb_get_from_anchor" },
	{ 0xcd0529c7, "._raw_spin_lock_irq" },
	{ 0x9d8fd738, ".dev_get_drvdata" },
	{ 0xa70fd041, ".hci_recv_fragment" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x7d11c268, "jiffies" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0x27e1a049, ".printk" },
	{ 0xe853531e, ".usb_unanchor_urb" },
	{ 0xa6a6f810, ".usb_free_urb" },
	{ 0x8fb283bf, ".usb_submit_urb" },
	{ 0xa809c6c4, ".usb_anchor_urb" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0xb36ae002, ".usb_alloc_urb" },
	{ 0x4588bf0f, ".__dynamic_pr_debug" },
	{ 0xf89843f9, ".schedule_work" },
	{ 0x646029f3, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,bluetooth";

MODULE_ALIAS("usb:v*p*d*dcE0dsc01dp01ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp*d*dc*dsc*dp*icFFisc01ip01*");
MODULE_ALIAS("usb:v0A5Cp21E1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E8Dp763Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8213d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8215d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8281d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v057Cp3800d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BFp030Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDBp1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp21E3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C10p0000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE042d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8197d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE033d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp*d*dc*dsc*dp*icFFisc01ip01*");

MODULE_INFO(srcversion, "2876F61C6E9A81C7F0895F6");
