#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0x40fd3844, "video_device_release" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x43f2f5a0, "video_ioctl2" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0xc9d17e9b, ".videobuf_to_vmalloc" },
	{ 0x1d2e87c6, ".do_gettimeofday" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0x40fd3844, ".video_device_release" },
	{ 0xd9f68827, ".__video_register_device" },
	{ 0x849f9b8e, ".__mutex_init" },
	{ 0xcf7ec2df, ".video_device_alloc" },
	{ 0xd6ee688f, ".vmalloc" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0x8fb283bf, ".usb_submit_urb" },
	{ 0xb36ae002, ".usb_alloc_urb" },
	{ 0xe4b027cb, ".videobuf_read_one" },
	{ 0xd42bb312, ".videobuf_poll_stream" },
	{ 0xb01060fd, ".videobuf_mmap_mapper" },
	{ 0xbac76381, ".videobuf_iolock" },
	{ 0x5eaea86a, ".videobuf_vmalloc_free" },
	{ 0xfb7a67f6, ".videobuf_queue_vmalloc_init" },
	{ 0x672144bd, ".strlcpy" },
	{ 0xe914e41e, ".strcpy" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x212e00b5, ".videobuf_queue_is_busy" },
	{ 0xa8e29269, ".videobuf_reqbufs" },
	{ 0x92280ea5, ".videobuf_querybuf" },
	{ 0xc0f75de9, ".videobuf_qbuf" },
	{ 0x9929879f, ".videobuf_dqbuf" },
	{ 0xa4a8419c, ".videobuf_streamon" },
	{ 0x7229ab27, ".videobuf_streamoff" },
	{ 0x74fd2388, ".dev_err" },
	{ 0x3eb20794, ".usb_control_msg" },
	{ 0x6067a146, ".memcpy" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0x4776859e, ".video_devdata" },
	{ 0xc1a9c7cf, "._dev_info" },
	{ 0x3a828223, ".dev_set_drvdata" },
	{ 0x70b1c508, ".videobuf_mmap_free" },
	{ 0x9d8fd738, ".dev_get_drvdata" },
	{ 0x37a0cba, ".kfree" },
	{ 0x999e8297, ".vfree" },
	{ 0xa6a6f810, ".usb_free_urb" },
	{ 0xb0b5fbf5, ".usb_kill_urb" },
	{ 0xbd45acc, ".video_unregister_device" },
	{ 0xdc71fb13, ".mutex_unlock" },
	{ 0xdd2bdca5, ".mutex_lock" },
	{ 0x646029f3, ".usb_deregister" },
	{ 0x27e1a049, ".printk" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-vmalloc,videobuf-core";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "7397299810505CCE3156AD9");
