#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0x108a00f6, "eth_change_mtu" },
	{ 0x335ff4ae, "eth_validate_addr" },
	{ 0x526036d5, "eth_mac_addr" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0x4302d0eb, ".free_pages" },
	{ 0x93fca811, ".__get_free_pages" },
	{ 0x7cdd49b, ".register_netdev" },
	{ 0xfb0e29f, ".init_timer_key" },
	{ 0x58fb764f, ".usb_alloc_coherent" },
	{ 0xc7ec28b0, ".memcmp" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x7e40ae8b, ".usb_reset_configuration" },
	{ 0xee45e38e, ".alloc_etherdev_mqs" },
	{ 0xb00acb5d, ".release_firmware" },
	{ 0xe31d8834, ".request_firmware" },
	{ 0x7bd095df, ".netif_carrier_off" },
	{ 0xd69c9d22, ".netif_carrier_on" },
	{ 0xc530ddf, ".usb_autopm_get_interface" },
	{ 0x66323af2, ".usb_autopm_put_interface" },
	{ 0x5a025f7b, ".arch_local_irq_restore" },
	{ 0xbcd8c741, ".skb_copy_expand" },
	{ 0xcd0529c7, "._raw_spin_lock_irq" },
	{ 0x454aa17c, ".__dev_kfree_skb_irq" },
	{ 0x37a0cba, ".kfree" },
	{ 0xb36ae002, ".usb_alloc_urb" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0x519b0da3, ".finish_wait" },
	{ 0xd62c833f, ".schedule_timeout" },
	{ 0xaf2d872c, ".prepare_to_wait" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xa18cbd32, ".__netif_schedule" },
	{ 0x1902adf, ".netpoll_trap" },
	{ 0x7e7e9694, ".usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0x42bd7209, ".dev_warn" },
	{ 0x4643d4a4, ".free_netdev" },
	{ 0x1bce63c5, ".usb_free_coherent" },
	{ 0xa6a6f810, ".usb_free_urb" },
	{ 0x92e26dc5, ".unregister_netdev" },
	{ 0x3a828223, ".dev_set_drvdata" },
	{ 0xc1a9c7cf, "._dev_info" },
	{ 0xfb5f846a, ".cancel_delayed_work_sync" },
	{ 0xb0b5fbf5, ".usb_kill_urb" },
	{ 0x83542f54, ".netif_rx" },
	{ 0xdf311b38, ".eth_type_trans" },
	{ 0xda63c5ab, ".skb_put" },
	{ 0x6067a146, ".memcpy" },
	{ 0x52a8a642, ".dev_alloc_skb" },
	{ 0xde48e9ca, "._raw_spin_lock" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0x9d8fd738, ".dev_get_drvdata" },
	{ 0xf1bea6f1, ".schedule_delayed_work" },
	{ 0x27e1a049, ".printk" },
	{ 0x8fb283bf, ".usb_submit_urb" },
	{ 0x646029f3, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "5E3F568EA15384BB88FF4DB");
