#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0xfd6293c2, "boot_tvec_bases" },
	{ 0xc3fe87c8, "param_ops_uint" },
	{ 0x342713f, ".led_trigger_register_simple" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0x9545af6d, ".tasklet_init" },
	{ 0xfb0e29f, ".init_timer_key" },
	{ 0x849f9b8e, ".__mutex_init" },
	{ 0x5b46ee66, ".ieee80211_alloc_hw" },
	{ 0x75f65022, ".usb_get_dev" },
	{ 0xe358a8da, ".ieee80211_register_hw" },
	{ 0x9edbecae, ".snprintf" },
	{ 0xb36ae002, ".usb_alloc_urb" },
	{ 0xeefb5672, ".ieee80211_scan_completed" },
	{ 0x8e6ac264, ".ieee80211_rx_irqsafe" },
	{ 0x13fe2ad, ".skb_pull" },
	{ 0xb1763f19, ".ieee80211_wake_queues" },
	{ 0x5def8cfc, ".ieee80211_tx_status_irqsafe" },
	{ 0x8848b1f, ".__dev_kfree_skb_any" },
	{ 0xfaef0ed, ".__tasklet_schedule" },
	{ 0x52a8a642, ".dev_alloc_skb" },
	{ 0x8fb283bf, ".usb_submit_urb" },
	{ 0xda63c5ab, ".skb_put" },
	{ 0x77e163a8, ".skb_trim" },
	{ 0x171280ab, ".skb_push" },
	{ 0x88bfa7e, ".cancel_work_sync" },
	{ 0xe1251765, ".ieee80211_queue_work" },
	{ 0x74fd2388, ".dev_err" },
	{ 0x900083f4, ".ieee80211_queue_delayed_work" },
	{ 0x3fa03a97, ".memset" },
	{ 0xf457d172, ".ieee80211_stop_queues" },
	{ 0x45704798, ".print_hex_dump_bytes" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0xb80fc5bf, ".usb_reset_device" },
	{ 0x3bd1b1f6, ".msecs_to_jiffies" },
	{ 0x9c55cec, ".schedule_timeout_interruptible" },
	{ 0x6067a146, ".memcpy" },
	{ 0x3eb20794, ".usb_control_msg" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0xe31d8834, ".request_firmware" },
	{ 0xdc71fb13, ".mutex_unlock" },
	{ 0xdd2bdca5, ".mutex_lock" },
	{ 0x8834396c, ".mod_timer" },
	{ 0x7b48ee97, ".led_trigger_event" },
	{ 0x7d11c268, "jiffies" },
	{ 0x189a5c11, ".dev_printk" },
	{ 0xc1a9c7cf, "._dev_info" },
	{ 0x3a828223, ".dev_set_drvdata" },
	{ 0x9d8fd738, ".dev_get_drvdata" },
	{ 0x5e05c183, ".ieee80211_unregister_hw" },
	{ 0x1b906ff3, ".ieee80211_free_hw" },
	{ 0x9ecac056, ".usb_put_dev" },
	{ 0x599510f8, ".kfree_skb" },
	{ 0xd5f2172f, ".del_timer_sync" },
	{ 0x37a0cba, ".kfree" },
	{ 0xa6a6f810, ".usb_free_urb" },
	{ 0xb0b5fbf5, ".usb_kill_urb" },
	{ 0x82072614, ".tasklet_kill" },
	{ 0xb6e5b830, ".led_trigger_unregister_simple" },
	{ 0xb00acb5d, ".release_firmware" },
	{ 0x646029f3, ".usb_deregister" },
	{ 0x27e1a049, ".printk" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,mac80211";

MODULE_ALIAS("usb:v03EBp7603d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2211d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0864p4100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B3Bp1612d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p011Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v069Ap0320d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D5CpA001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04A5p9000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05DDpFF31d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p0200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep7100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep7110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0919d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v069Ap0821d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7604d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v055DpA000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7605d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v069Ap0321d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v077Bp2219d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v077Bp2227d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0864p4102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p7605d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp4102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p5743d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04A5p9001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p0A01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p001Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp0050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2019p3220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v049Fp0032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05DDpFF35d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap3501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D5CpA002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7606d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7613d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0014d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0013d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2233d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v12FDp1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp7613d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p1020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7614d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7617d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1690p0701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7615d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "2B6BFB3F388068366034601");
