#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0xe1b700ab, "usbnet_resume" },
	{ 0xf7d3927b, "usbnet_suspend" },
	{ 0x6758c753, "usbnet_disconnect" },
	{ 0x4b40f3eb, "usbnet_probe" },
	{ 0x810b3618, "param_ops_string" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xdc3ae10, "rndis_tx_fixup" },
	{ 0x235705e9, "rndis_rx_fixup" },
	{ 0x52244dfa, "rndis_status" },
	{ 0x47968b5b, "usbnet_tx_timeout" },
	{ 0x335ff4ae, "eth_validate_addr" },
	{ 0x526036d5, "eth_mac_addr" },
	{ 0x926e627c, "usbnet_start_xmit" },
	{ 0x73d153a2, "usbnet_stop" },
	{ 0x7b36f6c0, "usbnet_open" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0x646029f3, ".usb_deregister" },
	{ 0x71a9954c, ".cfg80211_disconnected" },
	{ 0x593d9f62, ".cfg80211_roamed" },
	{ 0xcb926665, ".cfg80211_ibss_joined" },
	{ 0xad2fedb4, ".cfg80211_connect_result" },
	{ 0xd69c9d22, ".netif_carrier_on" },
	{ 0x68a9fad, ".cfg80211_cqm_rssi_notify" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x3bd1b1f6, ".msecs_to_jiffies" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0x4be840c4, ".cfg80211_inform_bss" },
	{ 0x764db6ff, ".__ieee80211_get_channel" },
	{ 0x13b98476, ".netdev_err" },
	{ 0x83b51c57, ".usbnet_resume_rx" },
	{ 0xff197cbe, ".usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, ".ieee80211_frequency_to_channel" },
	{ 0xa886a958, ".krealloc" },
	{ 0x7bd095df, ".netif_carrier_off" },
	{ 0x2edeb3b1, ".wiphy_register" },
	{ 0x8091ece2, ".generic_rndis_bind" },
	{ 0xfb0e29f, ".init_timer_key" },
	{ 0x88a193, ".__alloc_workqueue_key" },
	{ 0x849f9b8e, ".__mutex_init" },
	{ 0xfbacfff3, ".wiphy_new" },
	{ 0xd3ae82f3, ".wiphy_free" },
	{ 0xf4295b9, ".wiphy_unregister" },
	{ 0x38c0772b, ".rndis_unbind" },
	{ 0x8c03d20c, ".destroy_workqueue" },
	{ 0x57c4691b, ".queue_delayed_work" },
	{ 0x1eb9516e, ".round_jiffies_relative" },
	{ 0xe4fe8ca1, "._raw_spin_unlock_bh" },
	{ 0xaf063510, "._raw_spin_lock_bh" },
	{ 0x12c24696, ".cfg80211_scan_done" },
	{ 0x42160169, ".flush_workqueue" },
	{ 0x88bfa7e, ".cancel_work_sync" },
	{ 0xfb5f846a, ".cancel_delayed_work_sync" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0xf9a482f9, ".msleep" },
	{ 0x6bbc769a, ".netdev_warn" },
	{ 0x3fa03a97, ".memset" },
	{ 0x3c2c5af5, ".sprintf" },
	{ 0xdcb5671d, ".strlen" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0xdc71fb13, ".mutex_unlock" },
	{ 0x325bcf11, ".rndis_command" },
	{ 0x6067a146, ".memcpy" },
	{ 0xdd2bdca5, ".mutex_lock" },
	{ 0x37a0cba, ".kfree" },
	{ 0xcfea27c8, ".usbnet_pause_rx" },
	{ 0x960f73e4, ".cfg80211_michael_mic_failure" },
	{ 0x189a5c11, ".dev_printk" },
	{ 0xc403f325, ".netdev_info" },
	{ 0x26576139, ".queue_work" },
	{ 0xe2d5255a, ".strcmp" },
	{ 0x11089ac7, "_ctype" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01*");

MODULE_INFO(srcversion, "4CDBDF92964828F5D4C04E6");
