#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0x3fcad785, "rt2x00usb_resume" },
	{ 0x95e2d9f6, "rt2x00usb_suspend" },
	{ 0xb64814b2, "rt2x00usb_disconnect" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x55841c9a, "rt2x00mac_tx_frames_pending" },
	{ 0xcf2c6a3c, "rt2x00mac_get_ringparam" },
	{ 0xc421b849, "rt2x00mac_get_antenna" },
	{ 0x787292b4, "rt2x00mac_set_antenna" },
	{ 0xea18e964, "rt2x00mac_flush" },
	{ 0x6e589d92, "rt2x00mac_rfkill_poll" },
	{ 0xbeea5c58, "rt2x00mac_conf_tx" },
	{ 0x3f7c08be, "rt2x00mac_get_stats" },
	{ 0x1be9e52f, "rt2x00mac_sw_scan_complete" },
	{ 0xaf1a17ec, "rt2x00mac_sw_scan_start" },
	{ 0xe63a5b4b, "rt2x00mac_set_key" },
	{ 0xd98538d, "rt2x00mac_set_tim" },
	{ 0x8ace3e47, "rt2x00mac_configure_filter" },
	{ 0xda4c5573, "rt2x00mac_bss_info_changed" },
	{ 0xaa09c516, "rt2x00mac_config" },
	{ 0x88c2e0b2, "rt2x00mac_remove_interface" },
	{ 0xacbe0f33, "rt2x00mac_add_interface" },
	{ 0x7b402cff, "rt2x00mac_stop" },
	{ 0x56b8536f, "rt2x00mac_start" },
	{ 0x9969c676, "rt2x00mac_tx" },
	{ 0x6007b7ef, "rt2x00usb_flush_queue" },
	{ 0xe0d1421a, "rt2x00usb_kick_queue" },
	{ 0x8e5fece, "rt2x00usb_watchdog" },
	{ 0xf3dbac87, "rt2x00usb_clear_entry" },
	{ 0x4f9e4dfe, "rt2x00usb_uninitialize" },
	{ 0x8f7b3488, "rt2x00usb_initialize" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0x84da9644, ".rt2x00usb_disable_radio" },
	{ 0xf9a482f9, ".msleep" },
	{ 0x1db8f180, ".rt2x00usb_vendor_request" },
	{ 0x6f315be0, ".consume_skb" },
	{ 0x8fb283bf, ".usb_submit_urb" },
	{ 0x171280ab, ".skb_push" },
	{ 0x77e163a8, ".skb_trim" },
	{ 0x6067a146, ".memcpy" },
	{ 0x70e1703, ".rt2x00usb_vendor_request_buff" },
	{ 0xdc71fb13, ".mutex_unlock" },
	{ 0xdd2bdca5, ".mutex_lock" },
	{ 0x27e1a049, ".printk" },
	{ 0x71f25cec, ".rt2x00usb_vendor_req_buff_lock" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x92833885, ".rt2x00usb_probe" },
	{ 0x646029f3, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00usb,rt2x00lib,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1934EC992DE3560753440CB");
