#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0x17f72220, "usb_serial_disconnect" },
	{ 0x917bcbfb, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0x4f3e3507, ".usb_serial_register" },
	{ 0x3a828223, ".dev_set_drvdata" },
	{ 0xc1a9c7cf, "._dev_info" },
	{ 0xb731172b, ".usb_string" },
	{ 0x7d11c268, "jiffies" },
	{ 0xb00acb5d, ".release_firmware" },
	{ 0xe31d8834, ".request_firmware" },
	{ 0x42bd7209, ".dev_warn" },
	{ 0x3eb20794, ".usb_control_msg" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0xb0b5fbf5, ".usb_kill_urb" },
	{ 0x1000e51, ".schedule" },
	{ 0x2f287f0d, ".copy_to_user" },
	{ 0x3fa03a97, ".memset" },
	{ 0x519b0da3, ".finish_wait" },
	{ 0xd62c833f, ".schedule_timeout" },
	{ 0xaf2d872c, ".prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xbb49fe65, ".tty_encode_baud_rate" },
	{ 0x919d1163, ".tty_termios_baud_rate" },
	{ 0x2417baa5, ".tty_get_baud_rate" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0xa6a6f810, ".usb_free_urb" },
	{ 0xb36ae002, ".usb_alloc_urb" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0x190a68d7, ".tty_flip_buffer_push" },
	{ 0x743fa4ff, ".tty_insert_flip_string_fixed_flag" },
	{ 0xde48e9ca, "._raw_spin_lock" },
	{ 0x9d8fd738, ".dev_get_drvdata" },
	{ 0x392b2734, ".tty_kref_put" },
	{ 0x14872c6a, ".tty_wakeup" },
	{ 0xdaa1365a, ".tty_port_tty_get" },
	{ 0x189a5c11, ".dev_printk" },
	{ 0x74fd2388, ".dev_err" },
	{ 0x8fb283bf, ".usb_submit_urb" },
	{ 0x6067a146, ".memcpy" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0x37a0cba, ".kfree" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0x27e1a049, ".printk" },
	{ 0xa85138b6, ".usb_serial_deregister" },
	{ 0x646029f3, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v1608p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p1403d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0013d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0014d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0203d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0310d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0311d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0312d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA758d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA794d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA225d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "4EFBB42CBF8FC39042B8A3A");
