#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0x17f72220, "usb_serial_disconnect" },
	{ 0x917bcbfb, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xf59f197, "param_array_ops" },
	{ 0x8436f8e3, "param_ops_ushort" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0x4f3e3507, ".usb_serial_register" },
	{ 0xb80fc5bf, ".usb_reset_device" },
	{ 0xbe19ff28, ".usb_driver_set_configuration" },
	{ 0x3a828223, ".dev_set_drvdata" },
	{ 0x9831e9e4, ".__kfifo_alloc" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0x849f9b8e, ".__mutex_init" },
	{ 0xb00acb5d, ".release_firmware" },
	{ 0xbe5e0359, ".usb_bulk_msg" },
	{ 0x6067a146, ".memcpy" },
	{ 0xe31d8834, ".request_firmware" },
	{ 0x3c2c5af5, ".sprintf" },
	{ 0xdb760f52, ".__kfifo_free" },
	{ 0xcdb5c5f7, ".usb_clear_halt" },
	{ 0x3bcc36da, ".mutex_lock_interruptible" },
	{ 0xb0b5fbf5, ".usb_kill_urb" },
	{ 0xf23fcb99, ".__kfifo_in" },
	{ 0xd6c963c, ".copy_from_user" },
	{ 0xef109449, ".interruptible_sleep_on" },
	{ 0x2f287f0d, ".copy_to_user" },
	{ 0x3fa03a97, ".memset" },
	{ 0xbb49fe65, ".tty_encode_baud_rate" },
	{ 0x2417baa5, ".tty_get_baud_rate" },
	{ 0xcc5005fe, ".msleep_interruptible" },
	{ 0xdc71fb13, ".mutex_unlock" },
	{ 0xdd2bdca5, ".mutex_lock" },
	{ 0x48404b9a, ".remove_wait_queue" },
	{ 0xd62c833f, ".schedule_timeout" },
	{ 0x5a025f7b, ".arch_local_irq_restore" },
	{ 0x735d8503, ".add_wait_queue" },
	{ 0xcd0529c7, "._raw_spin_lock_irq" },
	{ 0x7d11c268, "jiffies" },
	{ 0xffd5a395, "default_wake_function" },
	{ 0x37a0cba, ".kfree" },
	{ 0x3eb20794, ".usb_control_msg" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0x9d8fd738, ".dev_get_drvdata" },
	{ 0x743fa4ff, ".tty_insert_flip_string_fixed_flag" },
	{ 0x190a68d7, ".tty_flip_buffer_push" },
	{ 0xde48e9ca, "._raw_spin_lock" },
	{ 0x189a5c11, ".dev_printk" },
	{ 0x27e1a049, ".printk" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0x14872c6a, ".tty_wakeup" },
	{ 0x74fd2388, ".dev_err" },
	{ 0x8fb283bf, ".usb_submit_urb" },
	{ 0x392b2734, ".tty_kref_put" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0x13d0adf7, ".__kfifo_out" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0xdaa1365a, ".tty_port_tty_get" },
	{ 0xa85138b6, ".usb_serial_deregister" },
	{ 0x646029f3, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v0451p3410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451pF430d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF111d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF114d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF115d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0p0319d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5052d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5152d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p505Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p505Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p4543d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p454Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p454Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A61p3410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5053d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "6696F1D8AB430EF5BE25486");
