#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x9b8ddd30, ".bus_register" },
	{ 0x466b85b8, ".libceph_compatible" },
	{ 0x8b5d3ca5, ".kmem_cache_create" },
	{ 0xf007cfc1, ".bus_unregister" },
	{ 0x53647e61, ".kmem_cache_destroy" },
	{ 0x86b662ed, ".ceph_pg_poolid_by_name" },
	{ 0x4141f80, "__tracepoint_module_get" },
	{ 0x6ee1044b, ".add_disk" },
	{ 0xb5a459dc, ".unregister_blkdev" },
	{ 0xe4a3c2ec, ".device_register" },
	{ 0x5c50f24b, ".dev_set_name" },
	{ 0x71a50dbc, ".register_blkdev" },
	{ 0x1a042d1f, ".ida_simple_get" },
	{ 0x77d78057, ".ida_simple_remove" },
	{ 0xf845cbd3, ".blk_cleanup_queue" },
	{ 0x83b1d261, ".del_gendisk" },
	{ 0x1d2d6b0e, ".ceph_client_id" },
	{ 0x621ae8ff, ".__blk_end_request_all" },
	{ 0xe53262fe, ".blk_fetch_request" },
	{ 0x6cd48f57, ".set_device_ro" },
	{ 0xe2ce9c88, ".get_device" },
	{ 0xde6fb995, ".put_device" },
	{ 0xd4a448f7, ".put_disk" },
	{ 0x2f6d9abf, ".blk_queue_merge_bvec" },
	{ 0x6ecb70e5, ".blk_queue_io_opt" },
	{ 0x6ece5f4c, ".blk_queue_io_min" },
	{ 0x7f827c2a, ".blk_queue_max_segment_size" },
	{ 0x30b104b7, ".blk_queue_max_hw_sectors" },
	{ 0xde64d03b, ".blk_queue_physical_block_size" },
	{ 0xe2c9a71a, ".blk_init_queue" },
	{ 0xe0c63e4a, ".alloc_disk" },
	{ 0xb8f040b6, ".ceph_pg_pool_name_by_id" },
	{ 0xe2d5255a, ".strcmp" },
	{ 0xc499ae1e, ".kstrdup" },
	{ 0x3c2c5af5, ".sprintf" },
	{ 0xefded6c1, ".__init_rwsem" },
	{ 0xb61b6e29, ".ceph_compare_options" },
	{ 0xdc71fb13, ".mutex_unlock" },
	{ 0xdd2bdca5, ".mutex_lock" },
	{ 0x8d3db11, ".ceph_open_session" },
	{ 0x8915cacd, ".ceph_destroy_options" },
	{ 0xca90a178, ".ceph_create_client" },
	{ 0x44e9a829, ".match_token" },
	{ 0x87184f5b, ".ceph_parse_options" },
	{ 0x8b7fe311, ".kmemdup" },
	{ 0xafe82e10, ".strcspn" },
	{ 0x3fa913da, ".strspn" },
	{ 0x4b398923, ".ceph_destroy_client" },
	{ 0xf4e90d5b, ".revalidate_disk" },
	{ 0x89ec030c, ".up_write" },
	{ 0xf810a447, ".down_write" },
	{ 0xc7ec28b0, ".memcmp" },
	{ 0xb0c01eda, ".osd_req_op_cls_request_data_pages" },
	{ 0x85da0247, ".module_put" },
	{ 0x8b1f6e98, ".device_unregister" },
	{ 0x3075ffc6, ".ceph_osdc_flush_notifies" },
	{ 0xde48e9ca, "._raw_spin_lock" },
	{ 0x3c80c06c, ".kstrtoull" },
	{ 0xcd0529c7, "._raw_spin_lock_irq" },
	{ 0x28a7c3d4, ".blk_end_request" },
	{ 0x9af2e66f, ".osd_req_op_extent_osd_data_bio" },
	{ 0x9edbecae, ".snprintf" },
	{ 0x630d1b84, ".up_read" },
	{ 0x6b2e3bcd, ".ceph_get_snap_context" },
	{ 0x2e2fd9c0, ".down_read" },
	{ 0x55678b4b, ".bsearch" },
	{ 0x52686a03, ".osd_req_op_cls_response_data_pages" },
	{ 0x443716cf, ".osd_req_op_cls_request_data_pagelist" },
	{ 0xd64bec4b, ".ceph_pagelist_append" },
	{ 0xa96e081f, ".osd_req_op_cls_init" },
	{ 0xcc07af75, ".strnlen" },
	{ 0x3f688151, ".ceph_put_snap_context" },
	{ 0xae3515ba, ".ceph_create_snap_context" },
	{ 0x832cc729, ".ceph_copy_from_page_vector" },
	{ 0x5ee6942b, ".osd_req_op_extent_osd_data_pages" },
	{ 0x908c56a8, ".osd_req_op_extent_init" },
	{ 0xb3f00345, ".ceph_osdc_set_request_linger" },
	{ 0x841b0cf0, ".ceph_osdc_cancel_event" },
	{ 0x2f72bd8a, ".osd_req_op_watch_init" },
	{ 0xa2e12d6a, ".ceph_osdc_unregister_linger_request" },
	{ 0x24baca95, ".ceph_osdc_create_event" },
	{ 0x39cdf63c, ".wait_for_completion_interruptible" },
	{ 0xf9d8dd17, ".osd_req_op_raw_data_in_pages" },
	{ 0xf34bf3d9, ".osd_req_op_init" },
	{ 0x41140dd1, ".ceph_alloc_page_vector" },
	{ 0xe770b872, ".ceph_osdc_start_request" },
	{ 0x67053080, ".current_kernel_time" },
	{ 0x43a01f90, ".complete_all" },
	{ 0x5a025f7b, ".arch_local_irq_restore" },
	{ 0x49d44fe7, ".flush_dcache_page" },
	{ 0x3fa03a97, ".memset" },
	{ 0x716c85d4, "mem_section" },
	{ 0x11bacf06, ".ceph_release_page_vector" },
	{ 0x20beea2e, ".bio_put" },
	{ 0xff87dbd7, ".kmem_cache_free" },
	{ 0xd5b037e1, ".kref_put" },
	{ 0x197effcb, "ceph_osdc_release_request" },
	{ 0x1427ec26, ".ceph_osdc_build_request" },
	{ 0x71ca6221, ".bio_clone" },
	{ 0x1df452ac, ".bio_alloc" },
	{ 0x9775cdc, ".kref_get" },
	{ 0x7a6fbbe7, ".ceph_osdc_alloc_request" },
	{ 0x4588bf0f, ".__dynamic_pr_debug" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0x6067a146, ".memcpy" },
	{ 0x968c96d2, ".kmem_cache_alloc" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0xdcb5671d, ".strlen" },
	{ 0x83800bfa, ".kref_init" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0x37a0cba, ".kfree" },
	{ 0x27e1a049, ".printk" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libceph";


MODULE_INFO(srcversion, "20CEFCBA57F771874BD998A");
