#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0xc3fe87c8, "param_ops_uint" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xc037328a, ".ib_register_client" },
	{ 0x5328d7a6, ".ib_sa_register_client" },
	{ 0xd7b33b31, ".__class_register" },
	{ 0xc32307bf, ".srp_attach_transport" },
	{ 0x3f687b16, ".ib_query_gid" },
	{ 0xc4641f00, ".scsi_host_alloc" },
	{ 0x5c600e3b, ".scsi_scan_target" },
	{ 0x36f2a216, ".srp_rport_add" },
	{ 0x13e7830b, ".scsi_add_host_with_dma" },
	{ 0x26576139, ".queue_work" },
	{ 0x55a436ee, ".ib_sa_path_rec_get" },
	{ 0x9fd9207e, ".ib_send_cm_req" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0x148c5d75, ".ib_send_cm_drep" },
	{ 0xc7ec28b0, ".memcmp" },
	{ 0x7c008e5c, ".ib_send_cm_rtu" },
	{ 0xb6ff1bca, ".ib_cm_init_qp_attr" },
	{ 0xfaf706f2, ".ib_create_cm_id" },
	{ 0x444050ce, ".ib_create_qp" },
	{ 0x19793a16, ".ib_create_cq" },
	{ 0x20000329, ".simple_strtoul" },
	{ 0x672144bd, ".strlcpy" },
	{ 0xdcb5671d, ".strlen" },
	{ 0x61b7b126, ".simple_strtoull" },
	{ 0xacf4d843, ".match_strdup" },
	{ 0xad0413d4, ".match_hex" },
	{ 0x4e3567f7, ".match_int" },
	{ 0x44e9a829, ".match_token" },
	{ 0x85df9b6c, ".strsep" },
	{ 0xc499ae1e, ".kstrdup" },
	{ 0x3fec048f, ".sg_next" },
	{ 0x3fa03a97, ".memset" },
	{ 0x6577791c, ".ib_fmr_pool_map_phys" },
	{ 0xb1c6e787, ".wait_for_completion_timeout" },
	{ 0x3bd1b1f6, ".msecs_to_jiffies" },
	{ 0x3813da10, ".ib_fmr_pool_unmap" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0xa42942fa, ".ib_modify_qp" },
	{ 0x22867b35, ".ib_find_pkey" },
	{ 0x3c2c5af5, ".sprintf" },
	{ 0xbc057122, ".ib_set_client_data" },
	{ 0xe8426404, ".ib_create_fmr_pool" },
	{ 0x7b8efd10, ".ib_get_dma_mr" },
	{ 0x4e2cb8a7, ".ib_alloc_pd" },
	{ 0x8701eb10, ".ib_query_device" },
	{ 0x559acc61, ".device_create_file" },
	{ 0xe4a3c2ec, ".device_register" },
	{ 0x5c50f24b, ".dev_set_name" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x716c85d4, "mem_section" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0x27e1a049, ".printk" },
	{ 0x1b27df66, ".ib_dealloc_pd" },
	{ 0x8ea38aa5, ".ib_dereg_mr" },
	{ 0xc32b59ff, ".ib_destroy_fmr_pool" },
	{ 0x2cfeca24, ".scsi_host_put" },
	{ 0xa567843f, ".ib_destroy_cm_id" },
	{ 0x269c09a4, ".scsi_remove_host" },
	{ 0x4acb83af, ".srp_remove_host" },
	{ 0x42160169, ".flush_workqueue" },
	{ 0xde48e9ca, "._raw_spin_lock" },
	{ 0x8b1f6e98, ".device_unregister" },
	{ 0x7ff56084, ".ib_get_client_data" },
	{ 0xdbd019c4, "ib_wq" },
	{ 0x9828c207, ".ib_destroy_cq" },
	{ 0x3c8f1999, ".ib_destroy_qp" },
	{ 0x44eb192e, ".wait_for_completion" },
	{ 0x58ee1778, ".ib_send_cm_dreq" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0x6067a146, ".memcpy" },
	{ 0x189a5c11, ".dev_printk" },
	{ 0x5a025f7b, ".arch_local_irq_restore" },
	{ 0xcd0529c7, "._raw_spin_lock_irq" },
	{ 0x37a0cba, ".kfree" },
	{ 0x5568c553, ".complete" },
	{ 0x8273fa4f, ".srp_release_transport" },
	{ 0x87faf23b, ".class_unregister" },
	{ 0x9a1cd50d, ".ib_sa_unregister_client" },
	{ 0xf601168d, ".ib_unregister_client" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=ib_core,ib_sa,scsi_transport_srp,scsi_mod,ib_cm";


MODULE_INFO(srcversion, "2B63B030804807A3F615355");
