#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0xfb5f846a, ".cancel_delayed_work_sync" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0xd5f2172f, ".del_timer_sync" },
	{ 0x9dcc00e6, ".wiphy_rfkill_start_polling" },
	{ 0xa6a6f810, ".usb_free_urb" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x9edbecae, ".snprintf" },
	{ 0x849f9b8e, ".__mutex_init" },
	{ 0x3eb20794, ".usb_control_msg" },
	{ 0x8f7a7d61, ".__ieee80211_get_radio_led_name" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0x74fd2388, ".dev_err" },
	{ 0xfb0e29f, ".init_timer_key" },
	{ 0x75f65022, ".usb_get_dev" },
	{ 0x1b906ff3, ".ieee80211_free_hw" },
	{ 0x5bae47f7, ".ieee80211_generic_frame_duration" },
	{ 0x599510f8, ".kfree_skb" },
	{ 0xc1a9c7cf, "._dev_info" },
	{ 0x37a0cba, ".kfree" },
	{ 0xb36ae002, ".usb_alloc_urb" },
	{ 0x52a8a642, ".dev_alloc_skb" },
	{ 0x6304bdaa, ".__ieee80211_get_tx_led_name" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0xa9bd91f2, ".ieee80211_rts_duration" },
	{ 0x2df115d4, ".eeprom_93cx6_multiread" },
	{ 0x9ecac056, ".usb_put_dev" },
	{ 0x900083f4, ".ieee80211_queue_delayed_work" },
	{ 0x9c64fbd, ".ieee80211_frequency_to_channel" },
	{ 0x77e163a8, ".skb_trim" },
	{ 0x5def8cfc, ".ieee80211_tx_status_irqsafe" },
	{ 0x189a5c11, ".dev_printk" },
	{ 0x171280ab, ".skb_push" },
	{ 0x42bd7209, ".dev_warn" },
	{ 0xdd2bdca5, ".mutex_lock" },
	{ 0x454aa17c, ".__dev_kfree_skb_irq" },
	{ 0xda63c5ab, ".skb_put" },
	{ 0xc0628cc1, ".__ieee80211_get_rx_led_name" },
	{ 0x5e05c183, ".ieee80211_unregister_hw" },
	{ 0xd9779e99, ".skb_unlink" },
	{ 0x7ec9bfbc, ".strncpy" },
	{ 0x11312684, ".__alloc_skb" },
	{ 0xb1fb3d52, ".wiphy_rfkill_set_hw_state" },
	{ 0x646029f3, ".usb_deregister" },
	{ 0x2285200f, ".usb_kill_anchored_urbs" },
	{ 0xf3e6c011, ".skb_dequeue" },
	{ 0x2db4c99b, ".flush_delayed_work" },
	{ 0x63d14d2f, ".eeprom_93cx6_read" },
	{ 0x8848b1f, ".__dev_kfree_skb_any" },
	{ 0x8fb283bf, ".usb_submit_urb" },
	{ 0x8e6ac264, ".ieee80211_rx_irqsafe" },
	{ 0x83c59275, ".led_classdev_register" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0xeec465d8, ".led_classdev_unregister" },
	{ 0x9e5b3de2, ".skb_queue_tail" },
	{ 0x13fe2ad, ".skb_pull" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x5b46ee66, ".ieee80211_alloc_hw" },
	{ 0x6067a146, ".memcpy" },
	{ 0x44eebc55, ".wiphy_rfkill_stop_polling" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0x3a828223, ".dev_set_drvdata" },
	{ 0x27e1a049, ".printk" },
	{ 0x9d8fd738, ".dev_get_drvdata" },
	{ 0xa809c6c4, ".usb_anchor_urb" },
	{ 0xf9a482f9, ".msleep" },
	{ 0xdc71fb13, ".mutex_unlock" },
	{ 0xe358a8da, ".ieee80211_register_hw" },
	{ 0xe853531e, ".usb_unanchor_urb" },
	{ 0xb80fc5bf, ".usb_reset_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=cfg80211,usbcore,mac80211,eeprom_93cx6";

MODULE_ALIAS("usb:v0B05p171Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp705Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp8187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp8189d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp8197d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp8198d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p010Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p6100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p6A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4260d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0pCA02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0029d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p9401d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D1pABE6d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6232d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B75p8187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0073d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "02D7641D03F973B252C8EB6");
