#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2bda2187, "module_layout" },
	{ 0x405c1144, ".get_seconds" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0xd5f2172f, ".del_timer_sync" },
	{ 0x778aeec8, ".snd_rawmidi_transmit_ack" },
	{ 0xa6a6f810, ".usb_free_urb" },
	{ 0x160e2e0, ".kmem_cache_alloc_trace" },
	{ 0x44013baf, ".device_remove_file" },
	{ 0xda192198, ".snd_card_register" },
	{ 0xc7a2690a, ".snd_pcm_lib_preallocate_pages_for_all" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x3eb20794, ".usb_control_msg" },
	{ 0x9d54fc22, ".sysfs_remove_link" },
	{ 0x53654e9e, ".__snd_printk" },
	{ 0x965234e7, ".snd_rawmidi_transmit_peek" },
	{ 0x159cf4e2, "malloc_sizes" },
	{ 0x19ecf20f, ".usb_put_intf" },
	{ 0xe9e1481, ".snd_pcm_new" },
	{ 0x74fd2388, ".dev_err" },
	{ 0xfb0e29f, ".init_timer_key" },
	{ 0x75f65022, ".usb_get_dev" },
	{ 0x2d8e9680, ".snd_pcm_hw_constraint_ratdens" },
	{ 0xd62c833f, ".schedule_timeout" },
	{ 0xc1a9c7cf, "._dev_info" },
	{ 0x88bfa7e, ".cancel_work_sync" },
	{ 0xc7ec28b0, ".memcmp" },
	{ 0xc178d6c9, ".usb_set_interface" },
	{ 0xa5e76d4d, ".snd_pcm_lib_malloc_pages" },
	{ 0x37a0cba, ".kfree" },
	{ 0x60edb8b3, ".snd_pcm_stop" },
	{ 0x7eee8b86, ".snd_pcm_lib_free_pages" },
	{ 0xb36ae002, ".usb_alloc_urb" },
	{ 0x8eef1db9, ".snd_pcm_set_ops" },
	{ 0x7d11c268, "jiffies" },
	{ 0x559acc61, ".device_create_file" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0x9ecac056, ".usb_put_dev" },
	{ 0x519b0da3, ".finish_wait" },
	{ 0xd09f16db, ".snd_pcm_period_elapsed" },
	{ 0x3c80c06c, ".kstrtoull" },
	{ 0x68a24153, ".snd_pcm_format_physical_width" },
	{ 0x3c2c5af5, ".sprintf" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0x1b30e97f, ".snd_card_disconnect" },
	{ 0x25ba58bb, "snd_pcm_lib_ioctl" },
	{ 0xc1ed7eff, ".snd_ctl_new1" },
	{ 0x8b7fe311, ".kmemdup" },
	{ 0x646029f3, ".usb_deregister" },
	{ 0xf89843f9, ".schedule_work" },
	{ 0x18d6c40e, ".snd_device_new" },
	{ 0x1000e51, ".schedule" },
	{ 0x8fb283bf, ".usb_submit_urb" },
	{ 0x4e02c90e, ".usb_interrupt_msg" },
	{ 0x774be5fe, ".sysfs_create_link" },
	{ 0x196c4c1d, ".usb_register_driver" },
	{ 0xf21f2fe8, ".snd_rawmidi_receive" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0x779a18af, ".kstrtoll" },
	{ 0x8a981fa1, ".usb_get_intf" },
	{ 0xe914e41e, ".strcpy" },
	{ 0x6067a146, ".memcpy" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0x3fa03a97, ".memset" },
	{ 0x1e4bb433, ".snd_pcm_suspend_all" },
	{ 0x81fc3aea, ".snd_card_free" },
	{ 0x3d549de7, ".snd_rawmidi_set_ops" },
	{ 0xd7336dc3, ".snd_rawmidi_new" },
	{ 0xbe2c0274, ".add_timer" },
	{ 0x479c3c86, ".find_next_zero_bit" },
	{ 0xc996d097, ".del_timer" },
	{ 0xb0b5fbf5, ".usb_kill_urb" },
	{ 0x3a828223, ".dev_set_drvdata" },
	{ 0x27e1a049, ".printk" },
	{ 0x9d8fd738, ".dev_get_drvdata" },
	{ 0xf9669e41, ".snd_ctl_add" },
	{ 0x7e7e9694, ".usb_unlink_urb" },
	{ 0x488fd584, ".snd_card_create" },
	{ 0x20000329, ".simple_strtoul" },
	{ 0xaf2d872c, ".prepare_to_wait" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-rawmidi,usbcore,snd,snd-pcm";

MODULE_ALIAS("usb:v0E41p4250d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4642d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4252d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4750d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4153d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4151d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p414Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p414Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5044d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4650d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4147d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4141d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4142d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p534Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1F3A43F072BEB078165601C");
